| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
7.2::
LR
LR.parser

Classes
kernel
state_queue
Methods
add_rule()
cast()
cast_to_string()
compile()
item_to_string()
parse()
rule_to_string()
set_associativity()
set_priority()
set_symbol_to_string()
state_to_string()

LR.parser()->add_rule() | LR.parser()->cast_to_string()

# Method LR.parser()->cast()

Method cast

  `mixed cast(string type)`

Description

  Implements casting.

Parameter `type`

  Type to cast to.